<%@ page import="org.apache.log4j.Logger"%>
<%@ page import="ro.emid.common.utils.ObjectUtils" %>
<%@ page import="ro.emid.common.types.Client" %>
<%@ page import="ro.emid.common.db.OpenSCGAccessDB" %>
<%
    final Logger LOG = Logger.getLogger("cautClientForClientEligibilResp_jsp");
    final String whatToSearch = ObjectUtils.getStringValue(request.getParameter("q"));

    LOG.debug(" whatToSearch=" + whatToSearch);
    try {
        final Client[] clienti = OpenSCGAccessDB.searchClient( whatToSearch, "");
%>
<respmesg>
    <% for (int i = 0; i < clienti.length; i++) {  %>
         <div onSelect="this.txtBox.value = '<%=clienti[i].getFullName()%>';">
                <%=clienti[i].getFullName()%>
         </div>
    <% }%>
</respmesg>
<%} catch (Throwable t) {
    LOG.error("Eroare get lista clienti eligibili", t);
}%>